@REM ############################################################ OsiAudio.cmd
@REM Purpose...: Create audio file out of a OSI Superboard .lod file. This
@REM             file can be saved to audio cassette. The file is created
@REM             in %TEMP%, then CoolEdit gets called for saving / converting.
@REM             The .wav and .pk files are deleted on close.
@REM Input.....: %1: Name of .lod file to convert
@REM LastEdit..: 2022.09.15
@REM #########################################################################

@ECHO OFF
SET DstDir=%TEMP%
SET DstFile=Osi
SET DstExt=.wav

ECHO Creating .WAV file...
%AxPrograms%\A65\OsiKcs -F -N2 -L10000 %1 %DstDir%\%DstFile%%DstExt%

ECHO Open Audio Editor...
%AxPrograms%\CoolEdit\Cool2000.exe %DstDir%\%DstFile%%DstExt%
DEL %DstDir%\%DstFile%.PK
DEL %DstDir%\%DstFile%.WAV

@REM ####################################################### EOF OsiAudio.cmd

